Package org.apache.avro.file

# Class BZip2Codec

java.lang.Object
org.apache.avro.file.Codec
org.apache.avro.file.BZip2Codec

public class BZip2Codec extends Codec
Implements bzip2 compression and decompression.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`BZip2Codec()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`compress(ByteBuffer uncompressedData)`
Compresses the input data
`ByteBuffer`
`decompress(ByteBuffer compressedData)`
Decompress the data
`boolean`
`equals(Object obj)`
Codecs must implement an equals() method.
`String`
`getName()`
Name of the codec; written to the file's metadata.
`int`
`hashCode()`
Codecs must implement a hashCode() method that is consistent with equals().

### Methods inherited from class org.apache.avro.file.Codec

`computeOffset, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### BZip2Codec

public BZip2Codec()

## Method Details

### getName

public String getName()
Description copied from class: `Codec`
Name of the codec; written to the file's metadata.

Specified by:
  `getName` in class `Codec`

### compress

public ByteBuffer compress(ByteBuffer uncompressedData) throws IOException
Description copied from class: `Codec`
Compresses the input data

Specified by:
  `compress` in class `Codec`
Throws:
  `IOException`

### decompress

public ByteBuffer decompress(ByteBuffer compressedData) throws IOException
Description copied from class: `Codec`
Decompress the data

Specified by:
  `decompress` in class `Codec`
Throws:
  `IOException`

### hashCode

public int hashCode()
Description copied from class: `Codec`
Codecs must implement a hashCode() method that is consistent with equals().

Specified by:
  `hashCode` in class `Codec`

### equals

public boolean equals(Object obj)
Description copied from class: `Codec`
Codecs must implement an equals() method. Two codecs, A and B are equal if: the result of A and B decompressing content compressed by A is the same AND the result of A and B decompressing content compressed by B is the same

Specified by:
  `equals` in class `Codec`